## cloud-installer 0.14%2Bbzr301

=== requirements.txt ===
PyYAML==3.10
oauthlib==0.6.1
requests==2.2.1
requests-oauthlib==0.4.0
ws4py==0.3.2
passlib
mock
setuptools
urwid
nose
nose-cov
readthedocs-sphinx-ext
