=== debian/changelog ===
cloud-installer (0.14+bzr301-0ubuntu1) trusty; urgency=low

  * Closes bug (LP: #1308601)
  * Added Documentation for API
  * Removed use of debconf
  * Single-install support for kvm instances
  * Multi-install support for lxc, kvm, and baremetal deployments.
  * Landscape-install support for managing the cloud deployment via
    http://landscape.canonical.com

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 16 Apr 2014 20:44:56 -0400

cloud-installer (0.1+bzr111-0ubuntu1) trusty; urgency=low

  [ Robert Ayres ]
  * Intial Release. Closes "needs-packaging" bug (LP: #1282837)

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 26 Feb 2014 13:26:37 -0500
