=== debian/control ===
Source: cloud-installer
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-mock,
               python3-nose,
               python3-passlib,
               python3-requests,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-urwid,
               python3-ws4py,
               python3-yaml
Standards-Version: 3.9.5
Homepage: https://launchpad.net/cloud-installer
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Browser: https://bazaar.launchpad.net/~solutions-engineering/cloud-installer/master
Vcs-Bzr: lp:cloud-installer

Package: cloud-installer
Architecture: all
Depends: gawk,
         pwgen,
         python3-all,
         python3-mock,
         python3-nose,
         python3-oauthlib,
         python3-passlib,
         python3-requests,
         python3-requests-oauthlib,
         python3-setuptools,
         python3-urwid,
         python3-ws4py,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${python:Depends}
Description: Ubuntu Cloud installer
 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.
 .
 This package provides the common libraries utilized by the installer
 profiles.

Package: cloud-install-multi
Section: admin
Architecture: any
Depends: juju-core, lxc, maas, maas-dhcp, maas-dns, ${misc:Depends},
Description: Ubuntu Cloud installer (multi-system) - dependency package
 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.
 .
 This package provides the multi installer profile.

Package: cloud-install-single
Section: admin
Architecture: any
Depends: juju-local, uvtool, uvtool-libvirt, ${misc:Depends}
Description: Ubuntu Cloud installer (single-system) - dependency package
 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.
 .
 This package provides the single installer profile.

Package: cloud-install-landscape
Section: admin
Architecture: any
Depends: juju-core,
         juju-deployer,
         lxc,
         maas,
         maas-dhcp,
         maas-dns,
         ${misc:Depends}
Description: Ubuntu Cloud installer (landscape) - dependency package
 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.
 .
 This package provides the landscape installer profile.
