=== requirements.txt ===
--- 
+++ 
@@ -10,3 +10,5 @@
 nose
 nose-cov
 readthedocs-sphinx-ext
+pyflakes>=0.8.1
+pep8>=1.5.6
