=== debian/changelog ===
cloud-installer (0.17+bzr487-0ubuntu1) utopic; urgency=medium

  * Make all packages architecture-independent
  * Added swift and swift-proxy to installer
  * Add ability to do unattended installs

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 29 May 2014 09:15:28 -0400
