=== debian/control ===
--- 
+++ 
@@ -4,9 +4,12 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
+               pep8,
+               pyflakes,
                python-all,
                python-setuptools,
                python3-all,
+               python3-coverage,
                python3-mock,
                python3-nose,
                python3-passlib,
@@ -26,6 +29,7 @@
 Package: cloud-installer
 Architecture: all
 Depends: gawk,
+         nmap,
          pwgen,
          python3-all,
          python3-mock,
@@ -53,8 +57,8 @@
 
 Package: cloud-install-multi
 Section: admin
-Architecture: any
-Depends: juju-core, lxc, maas, maas-dhcp, maas-dns, ${misc:Depends},
+Architecture: all
+Depends: juju-core, lxc, maas, maas-dhcp, maas-dns, vlan, ${misc:Depends}
 Description: Ubuntu Cloud installer (multi-system) - dependency package
  Ubuntu Cloud installer is a metal to cloud image that provides an extremely
  simple way to install, deploy and scale an openstack cloud on top of
@@ -66,7 +70,7 @@
 
 Package: cloud-install-single
 Section: admin
-Architecture: any
+Architecture: all
 Depends: juju-local, uvtool, uvtool-libvirt, ${misc:Depends}
 Description: Ubuntu Cloud installer (single-system) - dependency package
  Ubuntu Cloud installer is a metal to cloud image that provides an extremely
@@ -79,14 +83,8 @@
 
 Package: cloud-install-landscape
 Section: admin
-Architecture: any
-Depends: juju-core,
-         juju-deployer,
-         lxc,
-         maas,
-         maas-dhcp,
-         maas-dns,
-         ${misc:Depends}
+Architecture: all
+Depends: cloud-install-multi, juju-deployer, ${misc:Depends}
 Description: Ubuntu Cloud installer (landscape) - dependency package
  Ubuntu Cloud installer is a metal to cloud image that provides an extremely
  simple way to install, deploy and scale an openstack cloud on top of
